Version fausse de wordpress

Mon serveur YunoHost

Matériel: Raspberry Pi à la maison avec VPN
Version de YunoHost: 4.2.8.2
J’ai accès à mon serveur : En SSH
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non

Après les mises à jour de Wordpress, le core de Wordpress croit toujours que ma version est 5.6.5

La dernière mise à jour de Wordpress est la version 5.8 ( 5.8~ynh1), elle a du s’effectuée, mais le message que j’ai reçu est:

Bonjour ! Votre site à l’adresse https://www.rodinux.fr/blog a été automatiquement mis à jour vers WordPress 5.6.5.

Pour en savoir plus sur la version 5.6.5, lisez l’écran À Propos de WordPress : 
https://www.mon_nom-domaine.tld/blog/wp-admin/about.php

Quand je me connexte en admin je vois aussi: Version actuelle : 5.6.5

Je constate que récemment j’avais remarqué cette erreur, sauf que le core de wordpress me voyait avec une version 5.6.4 lors de ce post fin juillet: WordPress : faire les mises à jour proposées dans wp-admin? - #4 by rodinux
Donc, la mise à jour à ajouter un chiffre, mais qui ne correspond pas du tout à la version en cours !
Je précise qu’il s’agit d’un multisite…

L’erreur se trouve aussi dans le fichier wp-includes/version.php

$ cat wp-includes/version.php 
<?php
/**
 * WordPress Version
 *
 * Contains version information for the current WordPress release.
 *
 * @package WordPress
 * @since 1.1.0
 */

/**
 * The WordPress version string.
 *
 * @global string $wp_version
 */
$wp_version = '5.6.5';

/**
 * Holds the WordPress DB revision, increments when changes are made to the WordPress DB schema.
 *
 * @global int $wp_db_version
 */
$wp_db_version = 49752;

/**
 * Holds the TinyMCE version.
 *
 * @global string $tinymce_version
 */
$tinymce_version = '49110-20201110';

/**
 * Holds the required PHP version.
 *
 * @global string $required_php_version
 */
$required_php_version = '5.6.20';

/**
 * Holds the required MySQL version.
 *
 * @global string $required_mysql_version
 */
$required_mysql_version = '5.0';

Peut-être qu’il suffit de l’éditer manuellement ? Mais j’ai peur de casser quelque chose…

Bon, j’ai procédé ainsi et ça a fonctionné, j’ai éditer la ligne suspecte dans le fichier wp-includes/version.php ainsi (sans le commentaire)

$wp_version = '5.8';  #avant $wp_version = '5.6.5';

et ça marche, par contre je ne connais pas l’origine de ce bug ?

Je n’utilise pas WP mais ça me paraît très bizarre…

Je vais sûrement enfoncer une porte ouverte mais changer à la main la version ne veut pas dire que tu as bien la dernière version !

Tu ne sembles pas sûr. Qu’est-ce qui te fait penser qu’elle a été effectuée ?

Voir Erreur mise à jour wordpress et backup non plus

Salut,
si j’ai bien regardé avant dans les fichiers de /etc/yunohost/apps/wordpress pour voir la source tar.gz de wordpress qui a été installée, ainsi que dans le manifest.json. J’avais bien la mise à jour installée.
j’ai aussi bien regardé dans le dépôt Ghitub de l’app… wordpress_ynh/app.src at master · YunoHost-Apps/wordpress_ynh · GitHub
Donc oui, je suis sûr de moi avec ces vérifications en amont.

It seems wordpress should upgrade automatically even if you don’t upgrade the package. If it’s not the case you should check the auto upgrade mechanism of wordpress.

It might be an error with a cron ?

I am not really sure, the site have a problem also, so I have to delete it, restore the backup with version 5.7.2, upgrade it to 5.8 (before I desactivate Jetpack and WP-fastest-cache), but there is still an error saying my version is 5.6.5 in the admin dashboard, why ???

here a message after the update to 5.8

This is an automated message from your beloved YunoHost server.

Specific information for the application wordpress.

Please manually trigger updates to major versions in the WordPress admin area.
You can also activate the automatic update in the Companion Auto Update plugin settings.

You can configure this app easily by using the experimental config-panel feature.
You can also find some specific actions for this app by using the experimental action feature.

If you’re facing an issue or want to improve this app, please open a new issue in this project.


Changelog since your last upgrade:

Unreleased

  • Nothing for now…

5.6~ynh1 - 2020-12-09

Changed

5.5.0~ynh1 - 2020-08-15

Fixed

What’s wrong ??

In the admin interface it is a Version 5.8~ynh1

So I have also try upgrade the app wordpress with the testing branch, but already it says I have the version 5.8. This time I have edited one more time the file wp-includes/version.php and coming back to the wordpress admin I could upgrade the Jetpack extension… Should I update manually to 5.8.1 ?